Subject: Re: selftests: connector: proc_filter.c:48:20: error: invalid application of 'sizeof' to an incomplete type 'struct proc_input'

From: Jakub Kicinski <[email-masked]>
Date: Thu, 27 Jul 2023 19:43:11 -0700

On Fri, 28 Jul 2023 01:38:40 +0000 Anjali Kulkarni wrote:
> Jakub,
> Do I need to revert the -f runtime filter option back to compile time
> and commit with that disabled so the selftest compiles on a kernel on
> which the new options are not defined?

I'm not 100% sure myself on what's the expectations for building
selftests against uAPI headers is..

I _think_ that you're supposed to add an -I$something to
the CFLAGS in your Makefile. KHDR_INCLUDES maybe? So that the uAPI
headers from the build get used (rendered by make headers).

Take a look at Documentation/dev-tools/kselftest.rst, I hope
the answer is somewhere there.